### Method

# Fwupd Release has_checksum

#### Declaration [src]

    gboolean
    fwupd_release_has_checksum (
      FwupdRelease* self,
      const gchar* checksum
    )

#### Description [src]

Finds out if the release has the update container checksum.

Available since: | 1.2.6

#### Parameters

`checksum` | `const gchar*`
| The update checksum.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the release matches.